      !***********************************************************************!
      SUBROUTINE  converge(  u,  gdiff  )
      !***********************************************************************!
!
      USE numerics
!
      IMPLICIT  NONE
!
!Ecart
      REAL(rp),  INTENT(OUT)   ::  gdiff
!
!Solution  u
      REAL(rp),  DIMENSION(  sx-1:ex+1,  sy-1:ey+1,  sz-1:ez+1,  0:1),  INTENT(IN)  ::  u
!
!--Declaration des variales locales
!
!Compteurs
      INTEGER   ::  i,  j,  k
!
      !***********************************************************************!
!
!Calcul  de  l'ecart  local  entre  deux  iterations  consecutives
!$OMP DO REDUCTION( MAX:gdiff )
      DO  k  =  sz,  ez
         DO  j  =  sy,  ey
            DO  i  =  sx,  ex
               gdiff  =  MAX(  gdiff,  ABS(  u(i,j,k,1) - u(i,j,k,0)  )  )
            END  DO
         END  DO
      END  DO
!$OMP END DO
!
      RETURN
      END  SUBROUTINE  converge
